<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:13 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>GccPlatformToolChain (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="GccPlatformToolChain (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/nativeplatform/toolchain/GccCompatibleToolChain.html" title="interface in org.gradle.nativeplatform.toolchain"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/nativeplatform/toolchain/NativePlatformToolChain.html" title="interface in org.gradle.nativeplatform.toolchain"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/nativeplatform/toolchain/GccPlatformToolChain.html" target="_top">Frames</a></li>
<li><a href="GccPlatformToolChain.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.nativeplatform.toolchain</div>
<h2 title="Interface GccPlatformToolChain" class="title">Interface GccPlatformToolChain</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../../org/gradle/nativeplatform/toolchain/NativePlatformToolChain.html" title="interface in org.gradle.nativeplatform.toolchain">NativePlatformToolChain</a></dd>
</dl>
<hr>
<br>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public interface <span class="strong">GccPlatformToolChain</span>
extends <a href="../../../../org/gradle/nativeplatform/toolchain/NativePlatformToolChain.html" title="interface in org.gradle.nativeplatform.toolchain">NativePlatformToolChain</a></pre>
<div class="block">GCC specific settings for the tools used to build for a particular platform.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/nativeplatform/toolchain/GccCommandLineToolConfiguration.html" title="interface in org.gradle.nativeplatform.toolchain">GccCommandLineToolConfiguration</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/nativeplatform/toolchain/GccPlatformToolChain.html#getAssembler()">getAssembler</a></strong>()</code>
<div class="block">Returns the settings to use for the assembler.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/nativeplatform/toolchain/GccCommandLineToolConfiguration.html" title="interface in org.gradle.nativeplatform.toolchain">GccCommandLineToolConfiguration</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/nativeplatform/toolchain/GccPlatformToolChain.html#getcCompiler()">getcCompiler</a></strong>()</code>
<div class="block">Returns the settings to use for the C compiler.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/nativeplatform/toolchain/GccCommandLineToolConfiguration.html" title="interface in org.gradle.nativeplatform.toolchain">GccCommandLineToolConfiguration</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/nativeplatform/toolchain/GccPlatformToolChain.html#getCppCompiler()">getCppCompiler</a></strong>()</code>
<div class="block">Returns the settings to use for the C++ compiler.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/nativeplatform/toolchain/GccCommandLineToolConfiguration.html" title="interface in org.gradle.nativeplatform.toolchain">GccCommandLineToolConfiguration</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/nativeplatform/toolchain/GccPlatformToolChain.html#getLinker()">getLinker</a></strong>()</code>
<div class="block">Returns the settings to use for the linker.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/nativeplatform/toolchain/GccCommandLineToolConfiguration.html" title="interface in org.gradle.nativeplatform.toolchain">GccCommandLineToolConfiguration</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/nativeplatform/toolchain/GccPlatformToolChain.html#getObjcCompiler()">getObjcCompiler</a></strong>()</code>
<div class="block">Returns the settings to use for the Objective-C compiler.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/nativeplatform/toolchain/GccCommandLineToolConfiguration.html" title="interface in org.gradle.nativeplatform.toolchain">GccCommandLineToolConfiguration</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/nativeplatform/toolchain/GccPlatformToolChain.html#getObjcppCompiler()">getObjcppCompiler</a></strong>()</code>
<div class="block">Returns the settings to use for the Objective-C++ compiler.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/nativeplatform/toolchain/GccCommandLineToolConfiguration.html" title="interface in org.gradle.nativeplatform.toolchain">GccCommandLineToolConfiguration</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/nativeplatform/toolchain/GccPlatformToolChain.html#getStaticLibArchiver()">getStaticLibArchiver</a></strong>()</code>
<div class="block">Returns the settings to use for the archiver.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.nativeplatform.toolchain.NativePlatformToolChain">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.nativeplatform.toolchain.<a href="../../../../org/gradle/nativeplatform/toolchain/NativePlatformToolChain.html" title="interface in org.gradle.nativeplatform.toolchain">NativePlatformToolChain</a></h3>
<code><a href="../../../../org/gradle/nativeplatform/toolchain/NativePlatformToolChain.html#getPlatform()">getPlatform</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getcCompiler()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getcCompiler</h4>
<pre><a href="../../../../org/gradle/nativeplatform/toolchain/GccCommandLineToolConfiguration.html" title="interface in org.gradle.nativeplatform.toolchain">GccCommandLineToolConfiguration</a>&nbsp;getcCompiler()</pre>
<div class="block">Returns the settings to use for the C compiler.</div>
</li>
</ul>
<a name="getCppCompiler()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCppCompiler</h4>
<pre><a href="../../../../org/gradle/nativeplatform/toolchain/GccCommandLineToolConfiguration.html" title="interface in org.gradle.nativeplatform.toolchain">GccCommandLineToolConfiguration</a>&nbsp;getCppCompiler()</pre>
<div class="block">Returns the settings to use for the C++ compiler.</div>
</li>
</ul>
<a name="getObjcCompiler()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getObjcCompiler</h4>
<pre><a href="../../../../org/gradle/nativeplatform/toolchain/GccCommandLineToolConfiguration.html" title="interface in org.gradle.nativeplatform.toolchain">GccCommandLineToolConfiguration</a>&nbsp;getObjcCompiler()</pre>
<div class="block">Returns the settings to use for the Objective-C compiler.</div>
</li>
</ul>
<a name="getObjcppCompiler()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getObjcppCompiler</h4>
<pre><a href="../../../../org/gradle/nativeplatform/toolchain/GccCommandLineToolConfiguration.html" title="interface in org.gradle.nativeplatform.toolchain">GccCommandLineToolConfiguration</a>&nbsp;getObjcppCompiler()</pre>
<div class="block">Returns the settings to use for the Objective-C++ compiler.</div>
</li>
</ul>
<a name="getAssembler()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAssembler</h4>
<pre><a href="../../../../org/gradle/nativeplatform/toolchain/GccCommandLineToolConfiguration.html" title="interface in org.gradle.nativeplatform.toolchain">GccCommandLineToolConfiguration</a>&nbsp;getAssembler()</pre>
<div class="block">Returns the settings to use for the assembler.</div>
</li>
</ul>
<a name="getLinker()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLinker</h4>
<pre><a href="../../../../org/gradle/nativeplatform/toolchain/GccCommandLineToolConfiguration.html" title="interface in org.gradle.nativeplatform.toolchain">GccCommandLineToolConfiguration</a>&nbsp;getLinker()</pre>
<div class="block">Returns the settings to use for the linker.</div>
</li>
</ul>
<a name="getStaticLibArchiver()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getStaticLibArchiver</h4>
<pre><a href="../../../../org/gradle/nativeplatform/toolchain/GccCommandLineToolConfiguration.html" title="interface in org.gradle.nativeplatform.toolchain">GccCommandLineToolConfiguration</a>&nbsp;getStaticLibArchiver()</pre>
<div class="block">Returns the settings to use for the archiver.</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/nativeplatform/toolchain/GccCompatibleToolChain.html" title="interface in org.gradle.nativeplatform.toolchain"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/nativeplatform/toolchain/NativePlatformToolChain.html" title="interface in org.gradle.nativeplatform.toolchain"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/nativeplatform/toolchain/GccPlatformToolChain.html" target="_top">Frames</a></li>
<li><a href="GccPlatformToolChain.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
